Subject: Re: send-email issue

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Aug 2021 11:52:42 -0700

Jeff King <[email-masked]> writes:

> This is certainly unfortunate, but IMHO is not a hard requirement for
> adding new values. This is no different than a case where we add a new
> config option, but old versions of Git quietly ignore it.
>
> In other words, I would suggest to tighten this as the values are added,
> but not worry about having a "spreading" period.

I would have agreed with you even in April if this knob were not
about security.  Thinking that the user is asking for an encrypted
connection and silently getting an unencrypted connection is not
such a good thing, and advertising "we now improved the distinction
between smtps and starttls easier to express" to users would not
work well in that context.